import socket
import time

ip = "0.0.0.0" # Listen to all channels
port = 5005 # Should match .ino

time.sleep (5)


with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
    s.bind((ip, port))
    s.listen()
    print(f"Listening")

    while True:
        conn, addr = s.accept()
        with conn:
            data = conn.recv(1024)
            if data:
                print(f"Received from {addr}: {data.decode().strip()}")

